#include "stdafx.h"
#include "AxMutex.h"

CAxMutex::CAxMutex()
{
	InitializeCriticalSection(&m_mutex);
}

CAxMutex::~CAxMutex()
{
	DeleteCriticalSection(&m_mutex);
}

void CAxMutex::acquire()
{
	EnterCriticalSection(&m_mutex);
}

void CAxMutex::release()
{
	LeaveCriticalSection(&m_mutex);
}